Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeVpcsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeVpcsRequest

    public class DescribeVpcsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeVpcs operation`.

Gives you information about your VPCs. You can filter the results to return information only about VPCs that match criteria you specify. For example, you could ask to get information about a particular VPC or VPCs (or all your VPCs) only if the VPC's state is available. You can specify multiple filters (e.g., the VPC uses one of several sets of DHCP options, and the VPC's state is available). The result includes information for a particular VPC only if the VPC matches all your filters. If there's no match, no special message is returned; the response is simply empty. The following table shows the available filters.

See Also:
  `AmazonEC2.describeVpcs(DescribeVpcsRequest)`

Constructor Summary
`DescribeVpcsRequest()`

Method Summary
`List<Filter>` | `getFilters()`
`List<String>` | `getVpcIds()` A set of one or more IDs of VPCs to describe.
`void` | `setFilters(Collection<Filter> filters)`
`void` | `setVpcIds(Collection<String> vpcIds)` A set of one or more IDs of VPCs to describe.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeVpcsRequest` | `withFilters(Collection<Filter> filters)` Returns a reference to this object so that method calls can be chained together.
`DescribeVpcsRequest` | `withFilters(Filter... filters)` Returns a reference to this object so that method calls can be chained together.
`DescribeVpcsRequest` | `withVpcIds(Collection<String> vpcIds)` A set of one or more IDs of VPCs to describe.
`DescribeVpcsRequest` | `withVpcIds(String... vpcIds)` A set of one or more IDs of VPCs to describe.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeVpcsRequest

    public DescribeVpcsRequest()

Method Detail

### getVpcIds

    public List<String> getVpcIds()

  A set of one or more IDs of VPCs to describe.

  Returns:
    A set of one or more IDs of VPCs to describe.

### setVpcIds

    public void setVpcIds(Collection<String> vpcIds)

  A set of one or more IDs of VPCs to describe.

  Parameters:
    `vpcIds` - A set of one or more IDs of VPCs to describe.

### withVpcIds

    public DescribeVpcsRequest withVpcIds(String... vpcIds)

  A set of one or more IDs of VPCs to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcIds` - A set of one or more IDs of VPCs to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withVpcIds

    public DescribeVpcsRequest withVpcIds(Collection<String> vpcIds)

  A set of one or more IDs of VPCs to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcIds` - A set of one or more IDs of VPCs to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getFilters

    public List<Filter> getFilters()

  Returns:

### setFilters

    public void setFilters(Collection<Filter> filters)

  Parameters:
    `filters` -

### withFilters

    public DescribeVpcsRequest withFilters(Filter... filters)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `filters` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withFilters

    public DescribeVpcsRequest withFilters(Collection<Filter> filters)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `filters` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.